Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8289 - With SCSI: Strange `ls' behavior related to lockup?
Summary: With SCSI: Strange `ls' behavior related to lockup?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-08 09:15 UTC by David Meyer
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-09-19 22:30:30 UTC


Attachments (Terms of Use)

Description David Meyer 2000-01-08 09:15:46 UTC
I am running a system with 2 IDE drives and 1 SCSI drive, the SCSI one
being the main one. (/dev/sda)..I do expert install on the bootnet disk
(for FTP) and for some odd reason after getting package info the computer
stalls for 20 minutes and then continues to let me select the packages,
and then proceeds normally until it begins installing the packages, when
it stalls again and never comes back. I went to the vt with the shell and
explored and found that when in /mnt/sysimage I do an `ls` and I get an
infinite listing of just 'dev', in 2 columns. I press Ctrl-C to abort and
do an 'ls -a' and I get an infinite listing of just '.' in 2 columns, and
I do an 'ls -la', and I get a normal listing of the files that terminates
properly. I wonder, could the installer in the first vt have stalled
because its reading a never ending dir listing of dev's ??? Is this
perhaps a bug in SCSI support? (since /mnt/sysimage is /dev/sda1) Also I
notice I can't install LILO on the SCSI's MBR, and the disk selection
guide was very difficult to convince not to do stuff with my IDE drives
(which I hope it didn't since they contain all my important data).

Comment 1 Jay Turner 2000-02-14 17:34:59 UTC
There are some known issues with "ls" in portions of the install.  We are
actually making use of a boiled-down ls command.  It needs some work, so we are
working on that.

Comment 2 Michael Fulbright 2000-09-19 22:30:13 UTC
If you still see this problem with the current Red Hat release please reopen
this bug. We have changed
several things that may have helped.


Note You need to log in before you can comment on or make changes to this bug.